# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.acl
Enum AclScope.Type

    java.lang.Object
      java.lang.Enum<AclScope.Type>
          com.google.gdata.data.acl.AclScope.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AclScope.Type>

Enclosing class:
  AclScope

    public static enum AclScope.Type

extends java.lang.Enum<AclScope.Type>

predefined values for the "type" attribute

Enum Constant Summary
`DEFAULT`
`DOMAIN`
`GROUP`
`USER`

Method Summary
`static AclScope.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AclScope.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER

    public static final AclScope.Type USER

### DOMAIN

    public static final AclScope.Type DOMAIN

### GROUP

    public static final AclScope.Type GROUP

### DEFAULT

    public static final AclScope.Type DEFAULT

Method Detail

### values

    public static AclScope.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AclScope.Type c : AclScope.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AclScope.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null